<%@ include file="/taglibs.jsp"%>

<title>MyUsers ~ Welcome</title>

<h3>Welcome to MyUsers!</h3>
<p>
    <strong>MyUsers</strong> is a sample application that was written as part of 
    <a href="http://www.sourcebeat.com/TitleAction.do?id=7">Spring Live</a>.  It 
    is used to illustrate how to develop a web application using the 
    <a href="http://www.springframework.org">Spring Framework</a>. This application 
    is very simple in that it only does CRUD (Create, Retrieve, Update and Delete) 
    on a "user" table in an HSQL database.
    <br /><br />
    <a href="users.html">View Demonstration</a>
    <br /><br />
    For persistence, it uses Hibernate and HSQL as an in-memory database.  The 
    database and its tables are created on-the-fly when tests (or the application) 
    is run.  The one issue of using this method is that records disappear every
    time the app is started.  The nice side effect is that you never write tests
    that depend on existing data.
</p>

<content tag="underground">
<h3>Additional Information</h3>
<p>
    MyUsers is created from <a href="http://demo.raibledesigns.com/equinox">Equinox</a>, 
    which is a lightweight version of <a href="http://raibledesigns.com/appfuse">
    AppFuse</a>. I was inspired to create it when looking at the <em>struts-blank</em> 
    and <em>webapp-minimal</em> applications that ship with Struts and Spring, respectively.  
    These "starter" apps were not robust enough for me, and I wanted something like
    AppFuse, only simpler.
    <br /><br />
    Equinox is designed to show webapp developers how to start a bare-bones 
    Struts+Spring+Hibernate app, as well as a pure Spring+Hibernate solution. 
    More functionality may be added in the future, but the main goal is to provide
    a better implementation of a bare-bones webapp.
</p>
</content>