<%@ include file="/taglibs.jsp"%>

<head>
    <title>MyUsers ~ User Details</title>
</head>

<spring:bind path="user.*">
    <c:if test="${not empty status.errorMessages}">
    <div class="error">	
        <c:forEach var="error" items="${status.errorMessages}">
            <c:out value="${error}" escapeXml="false"/><br/>
        </c:forEach>
    </div>
    </c:if>
</spring:bind>

<p>Please fill in user's information below:</p>
  
<form method="post" action="<c:url value="/editUser.html"/>" onsubmit="return validateUser(this)">
<spring:bind path="user.id">
<input type="hidden" name="id" value="${status.value}"/> 
</spring:bind>
<table>
<tr>
    <th><fmt:message key="user.firstName"/>:</th>
    <td>
        <spring:bind path="user.firstName">
        <input type="text" name="${status.expression}" value="${status.value}"/>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <th><fmt:message key="user.lastName"/>:</th>
    <td>
        <spring:bind path="user.lastName">
        <input type="text" name="${status.expression}" value="${status.value}"/>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <td></td>
    <td>
        <input type="submit" class="button" name="save" value="Save"/>
      <c:if test="${not empty param.id}">
        <input type="submit" class="button" name="delete" value="Delete"/>
      </c:if>
        <input type="submit" class="button" name="cancel" value="Cancel"
            onclick="bCancel=true"/>
    </td>
</tr>
</table>
</form>

<html:javascript formName="user"/>
